org.cybergarage.upnp.device

## Class Disposer

- java.lang.Object
- - org.cybergarage.util.ThreadCore
  - - org.cybergarage.upnp.device.Disposer

- All Implemented Interfaces:
    Runnable

      public class Disposer
      extends ThreadCore

  Thread for disposing expired UPnP devices and subscriptions.

  This class extends ThreadCore to provide periodic cleanup of expired UPnP devices and subscriptions in a control point. It runs in the background to maintain an accurate view of available devices and active subscriptions.

  Key features:

  - Automatic device expiration handling
  - Subscription cleanup and renewal
  - Periodic maintenance operations
  - Multi-threaded execution
  - Control point integration

  This class is used by UPnP control points to automatically remove devices that have become unavailable and clean up expired subscriptions, ensuring efficient resource management and accurate device tracking.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Disposer(ControlPoint ctrlp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ControlPoint` | `getControlPoint()`
    `void` | `run()` The main execution method of the thread.
    `void` | `setControlPoint(ControlPoint ctrlp)`

    - ### Methods inherited from class org.cybergarage.util.ThreadCore

      `getThreadObject, isRunnable, restart, setThreadObject, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Disposer

          public Disposer(ControlPoint ctrlp)

  - ### Method Detail

    - #### getControlPoint

          public ControlPoint getControlPoint()

    - #### run

          public void run()

      Description copied from class: `ThreadCore`
      The main execution method of the thread. This method should be overridden by subclasses to implement specific functionality.
      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `ThreadCore`

    - #### setControlPoint

          public void setControlPoint(ControlPoint ctrlp)